Create, read, update, and delete XMPP Users
URL: /api/1.0/xmppdomains/<fqdn>/users/<username>
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | required | Specify XMPP User Name |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
| Response Fields | Purpose |
|---|---|
| username | Username part of the jid |
| xmppDomain | XMPP Domain the user belongs to |
| jid | Full JID |
| password | User’s password |
| enabled | Boolean setting enabled/disabled state of user |
URL: /api/1.0/xmppdomains/<fqdn>/users/[username]
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | optional | specify the XMPP user to create, if not provide a UUID will be generated and used |
| Parameters | Required | Purpose |
|---|---|---|
| password | optional | The newly created user’s password, if not provided a UUID will be generated and returned |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
URL: /api/1.0/xmppdomains/<fqdn>/users/<username>
| URL Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | required | Specify XMPP User Name |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body |
| JSON Fields | Purpose |
|---|---|
| password | New password |
| enabled | Boolean setting enabled/disabled state of user |
URL: /api/1.0/xmppdomains/<fqdn>/users/<username>
| Arguments | Required | Purpose |
|---|---|---|
| fqdn | required | Specify XMPP Domain user belongs to |
| username | required | Specify XMPP User Name |
| Response | |
|---|---|
| HTTP Code | 200 |
This is a complete example of a XMPP User response object:
{
"enabled": true,
"jid": "joeuser@example.chatwith.it",
"password": "a6c886ad-32fe-4ade-a5fe-f3fb4f4406c9",
"resourceUri": "/api/1.0/xmppdomains/example.chatwith.it/users/joeuser?format=json",
"username": "joeuser",
"xmppDomain": "example.chatwith.it",
"xmppDomainUri": "/api/1.0/xmppdomains/example.chatwith.it?format=json",
"xmppUserAclUri": "/api/1.0/xmppdomains/example.chatwith.it/users/joeuser/acl?format=json"
}